L2gen process with Landsat-9

Use this Forum to find information on, or ask a question about, NASA Earth Science data.
Post Reply
tlin2_cuny.edu
Posts: 13
Joined: Tue Feb 28, 2023 2:16 pm America/New_York
Answers: 0

L2gen process with Landsat-9

by tlin2_cuny.edu » Sun Aug 13, 2023 10:44 pm America/New_York

Hi all,

Now I'm trying to process Landsat-9 L1 files to L2 using L2gen. My Seadas version is 8.3.0 and OCSSW V2022.3. Lansat-8 is working well. But Lansat-9 encountered an issue:

Input file: /Volumes/Tlin/LIS/Landsat9/L9_L1/LC09_L1TP_012032_20230725_20230726_02_T1/LC09_L1TP_012032_20230725_20230726_02_T1_MTL.txt
Sensor : "OLI_TIRS"
Start time: 2023-07-25T15:27:06
End time : None

OBPG session started
Traceback (most recent call last):
File "/Users/tonglin/anaconda3/lib/python3.9/site-packages/urllib3/connectionpool.py", line 466, in _make_request
six.raise_from(e, None)
File "<string>", line 3, in raise_from
File "/Users/tonglin/anaconda3/lib/python3.9/site-packages/urllib3/connectionpool.py", line 461, in _make_request
httplib_response = conn.getresponse()
File "/Users/tonglin/anaconda3/lib/python3.9/http/client.py", line 1377, in getresponse
response.begin()
File "/Users/tonglin/anaconda3/lib/python3.9/http/client.py", line 320, in begin
version, status, reason = self._read_status()
File "/Users/tonglin/anaconda3/lib/python3.9/http/client.py", line 281, in _read_status
line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
File "/Users/tonglin/anaconda3/lib/python3.9/socket.py", line 704, in readinto
return self._sock.recv_into(b)
File "/Users/tonglin/anaconda3/lib/python3.9/ssl.py", line 1242, in recv_into
return self.read(nbytes, buffer)
File "/Users/tonglin/anaconda3/lib/python3.9/ssl.py", line 1100, in read
return self._sslobj.read(len, buffer)
socket.timeout: The read operation timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/Users/tonglin/anaconda3/lib/python3.9/site-packages/urllib3/connectionpool.py", line 714, in urlopen
httplib_response = self._make_request(
File "/Users/tonglin/anaconda3/lib/python3.9/site-packages/urllib3/connectionpool.py", line 468, in _make_request
self._raise_timeout(err=e, url=url, timeout_value=read_timeout)
File "/Users/tonglin/anaconda3/lib/python3.9/site-packages/urllib3/connectionpool.py", line 357, in _raise_timeout
raise ReadTimeoutError(
urllib3.exceptions.ReadTimeoutError: HTTPSConnectionPool(host='oceandata.sci.gsfc.nasa.gov', port=443): Read timed out. (read timeout=10.0)

Does the version ocssw V2022.3 working with Landsat-9 or is due to other reason?

Looking forward to your reply, thanks!

Best,
Tong

Tags:

OB SeaDAS - xuanyang02
Subject Matter Expert
Subject Matter Expert
Posts: 653
Joined: Tue Feb 09, 2021 5:42 pm America/New_York
Answers: 1
Been thanked: 2 times

Re: L2gen process with Landsat-9

by OB SeaDAS - xuanyang02 » Tue Aug 15, 2023 2:50 pm America/New_York

OCSSW V2022.3 should work with LC09 files.

There seems to be a connection problem as bolded and italicized. Please try l2gen at another time
tlin2_cuny.edu wrote: Sun Aug 13, 2023 10:44 pm America/New_York
Traceback (most recent call last):

File "/Users/tonglin/anaconda3/lib/python3.9/ssl.py", line 1100, in read
return self._sslobj.read(len, buffer)
socket.timeout: The read operation timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/Users/tonglin/anaconda3/lib/python3.9/site-packages/urllib3/connectionpool.py", line 714, in urlopen
httplib_response = self._make_request(
File "/Users/tonglin/anaconda3/lib/python3.9/site-packages/urllib3/connectionpool.py", line 468, in _make_request
self._raise_timeout(err=e, url=url, timeout_value=read_timeout)
File "/Users/tonglin/anaconda3/lib/python3.9/site-packages/urllib3/connectionpool.py", line 357, in _raise_timeout
raise ReadTimeoutError(
urllib3.exceptions.ReadTimeoutError: HTTPSConnectionPool(host='oceandata.sci.gsfc.nasa.gov', port=443): Read timed out. (read timeout=10.0)

Post Reply